KDE 4.2 PyKDE API Reference

- KDE's Python API

# KAboutApplicationDialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject

## Detailed Description

Standard "About Application" dialog box.

This class provides the standard "About Application" dialog box that is used by KHelpMenu. It uses the information of the global KAboutData that is specified at the start of your program in main(). Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow.helpMenu() function.

Author:
  Urs Wolfer uwolfer @kde.org

## Methods

| __init__ (self, KAboutData aboutData, QWidget parent=0)
| __init__ (self, KAboutApplicationDialog a0)

## Method Documentation

__init__ | ( | self, |
|  | KAboutData | aboutData,
|  | QWidget | parent=0
| ) |  |  |

Constructor. Creates a fully featured "About Application" dialog box.

Parameters:

  | aboutData | A pointer to a KAboutData object which data will be used for filling the dialog.
  | parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.

__init__ | ( | self, |
|  | KAboutApplicationDialog | a0
| ) |  |  |